<?php declare(strict_types=1);
namespace MyTestNamespace;
require __DIR__ . '/bootstrap.php';

use function Grifart\AssertFunction\nullable;
use function Grifart\AssertFunction\params;
use Tester\Assert;

class TestClass {};

Assert::equal(['MyTestNamespace\TestClass'], params(TestClass::class));
Assert::equal([
	'MyTestNamespace\TestClass',
	'MyTestNamespace\TestClass'
], params(
	TestClass::class,
	TestClass::class
));

Assert::equal([
	'?MyTestNamespace\TestClass',
	'MyTestNamespace\TestClass'
], params(
	nullable(TestClass::class),
	TestClass::class
));
